<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Texture2DUtils Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_texture2_d_utils.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_tri_lib_1_1_texture2_d_utils-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Texture2DUtils Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a class to load external textures.  
 <a href="class_tri_lib_1_1_texture2_d_utils.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a355ca42fb90264753ea28a8b2e223c70"><td class="memItemLeft" align="right" valign="top"><a id="a355ca42fb90264753ea28a8b2e223c70" name="a355ca42fb90264753ea28a8b2e223c70"></a>
static Texture2D&#160;</td><td class="memItemRight" valign="bottom"><b>ProcessTexture</b> (<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a> embeddedTextureData, string name, ref bool hasAlphaChannel, bool isNormalMap=false, TextureWrapMode textureWrapMode=TextureWrapMode.Repeat, FilterMode textureFilterMode=FilterMode.Bilinear, <a class="el" href="namespace_tri_lib.html#a6ab41fbb21f3635083be3b1178394d0c">TextureCompression</a> textureCompression=<a class="el" href="namespace_tri_lib.html#a6ab41fbb21f3635083be3b1178394d0ca6adf97f83acf6453d4a6a4b1070f3754">TextureCompression.None</a>, bool checkAlphaChannel=false, bool generateMipMaps=true)</td></tr>
<tr class="separator:a355ca42fb90264753ea28a8b2e223c70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a508c4ee19cc4b578a4ce724489d4568e"><td class="memItemLeft" align="right" valign="top"><a id="a508c4ee19cc4b578a4ce724489d4568e" name="a508c4ee19cc4b578a4ce724489d4568e"></a>
static Texture&#160;</td><td class="memItemRight" valign="bottom"><b>BuildHDRPMaskTexture</b> (Texture2D metallicTexture, Texture2D occlusionTexture, Texture2D detailMaskTexture, Texture2D smoothnessTexture)</td></tr>
<tr class="separator:a508c4ee19cc4b578a4ce724489d4568e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a class to load external textures. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/Extensions/<a class="el" href="_texture2_d_utils_8cs.html">Texture2DUtils.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_texture2_d_utils.html">Texture2DUtils</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
